# Uses of Interface
org.opensaml.soap.wstrust.RenewTarget

Packages that use RenewTarget
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RenewTarget in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RenewTarget
Modifier and Type
Class
Description
`class`
`RenewTargetImpl`
RenewTargetImpl.
Methods in org.opensaml.soap.wstrust.impl that return RenewTarget
Modifier and Type
Method
Description
`RenewTarget`
RenewTargetBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RenewTarget`
RenewTargetBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.